Package com.castlabs.android.player

## Enum CustomDashEventListener.EventType

- java.lang.Object
- - java.lang.Enum<CustomDashEventListener.EventType>
  - - com.castlabs.android.player.CustomDashEventListener.EventType

- All Implemented Interfaces:
    `Serializable`, `Comparable<CustomDashEventListener.EventType>`
  Enclosing interface:
    CustomDashEventListener

      public static enum CustomDashEventListener.EventType
      extends Enum<CustomDashEventListener.EventType>

  Defines different types of DASH custom events

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Close` |
    `Pause` |
    `Resume` |
    `Rewind` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CustomDashEventListener.EventType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CustomDashEventListener.EventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Resume

          public static final CustomDashEventListener.EventType Resume

    - #### Pause

          public static final CustomDashEventListener.EventType Pause

    - #### Rewind

          public static final CustomDashEventListener.EventType Rewind

    - #### Close

          public static final CustomDashEventListener.EventType Close

  - ### Method Detail

    - #### values

          public static CustomDashEventListener.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CustomDashEventListener.EventType c : CustomDashEventListener.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CustomDashEventListener.EventType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null